summaryrefslogtreecommitdiff
path: root/source4/script/tests
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2004-10-30 11:53:36 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:05:05 -0500
commit9b24cd21e2eec39ed4acfd03138f476178156372 (patch)
tree6455c1704725490891e19ba227f5fca32c44cec7 /source4/script/tests
parenteb3b2568641759c0b5a4e121c75102e96af7e683 (diff)
downloadsamba-9b24cd21e2eec39ed4acfd03138f476178156372.tar.gz
samba-9b24cd21e2eec39ed4acfd03138f476178156372.tar.bz2
samba-9b24cd21e2eec39ed4acfd03138f476178156372.zip
r3393: added test_rpc.sh. The idea is that this script will test all the
RPC-* tests that are expected to pass against Samba4. Currently only RPC-SCHANNEL and RPC-ECHO are in that list, but as we get more working this test will allow us to ensure that they stay working. (This used to be commit d49dfd406ffe57139d8a4679b806c875e7f194ec)
Diffstat (limited to 'source4/script/tests')
-rwxr-xr-xsource4/script/tests/test_rpc.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/source4/script/tests/test_rpc.sh b/source4/script/tests/test_rpc.sh
new file mode 100755
index 0000000000..1b466e5f11
--- /dev/null
+++ b/source4/script/tests/test_rpc.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# add tests to this list as they start passing, so we test
+# that they stay passing
+tests="RPC-SCHANNEL RPC-ECHO"
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_echo.sh SERVER USERNAME PASSWORD DOMAIN
+EOF
+exit 1;
+fi
+
+server="$1"
+username="$2"
+password="$3"
+domain="$4"
+shift 4
+
+testit() {
+ cmdline="$*"
+ if ! $cmdline > test.$$ 2>&1; then
+ cat test.$$;
+ rm -f test.$$;
+ echo "TEST FAILED - $cmdline";
+ exit 1;
+ fi
+ rm -f test.$$;
+}
+
+for transport in ncalrpc ncacn_np ncacn_ip_tcp; do
+ for bindoptions in connect sign seal sign,seal validate padcheck bigendian bigendian,seal; do
+ for t in $tests; do
+ echo Testing $t on $transport with $bindoptions
+ testit bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*"
+ done
+ done
+done
+
+echo "ALL OK";